%define src_ver 3.00
%define languagelocal portugues
%define languageeng portuguese
%define languagecode pt

Summary: 	Portuguese files for ispell
Name: 		ispell-%{languagecode} 
Version: 	%{src_ver}
Release: 	5mdk
URL: 		http://www.di.uminho.pt/~jj/pln/
# file dated 2001-07-20
Source:         http://www.di.uminho.pt/~jj/SOURCES/ispell.port.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-pt

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06

Obsoletes: ispell.port
Obsoletes: ispell-portuguese
Obsoletes: iportug

%description
ispell-pt has the spelling data for Portuguese which is used by
the ispell program. With this extension, you can compose a document
in Portuguese and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%prep
%setup -n ispell.port-%{src_ver}
mv -f %{languagelocal}.dic %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
 # compatibility with package made by the ispell-pt author
 ln -s %{languagelocal}.hash port.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc README*
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 3.00-5mdk
- add tag Provides spell-pt

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.00-4mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 3.00-3mdk
- changed Requires: ispell to PreReq: ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 3.00-2mdk
- rebuild for new ispell

* Wed Oct 24 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 3.00-1mdk
- updated to new version

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-6mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-5mdk
- Cleaned up the spec, split in ispell-pt and ispell-pt_BR and moved both to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-4mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Mon Nov 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.
